Common Questions about 6.5 Upgrade

As we mentioned in previous posts, we know upgrades are on a lot of people’s minds as of late. From the Documentum user community, we hear similar questions/statements so we thought it would be helpful to jot down our thoughts in response to these questions:

Do I need to reindex all my content with FAST?

Depends. You’ll find the details needed to answer that buried on page 27 in the Content Server 6.5 Release Notes; as part of the explanation for support note 144876. The takeaway is that 5.3.x systems can upgrade without reindexing.

High Volume Server (HVS) looks very useful – doesn’t it come with 6.5?

Yes and No – Yes in that HVS is packaged and deployed with Content Server 6.5. And no, because it requires a license key and has a separate licensing cost. The license covers the use of light weight sysobjects, data partitioning, and batch/bulk loading of documents.

Many of the technical details are spread across three different documents available from EMC:

  1. 6.5 HVS Archiving Performance and Scalability
  2. 6.5 HVS Development Guide
  3. 6.5 HVS Tuning Guide

Upgrading in place is always the way to go!

Hold on there! Creating clones of a system and upgrading them in place to create a new 6.5 environment may be a safer way to go with that approach. However, if you’d like even more flexibility to reinvent your Repository and you don’t want the hassle and cost of OS and database upgrades a migration might be an even better alternative. Check out our 6.5 presentation from the Spring 2009 Midwest Documentum User group which covers upgrade strategy and case studies.

TSG uses our EMC Certified open source product OpenMigrate to help Documentum customers bulk load, transform, and generally move content between Documentum systems.

I need to upgrade because I will be unsupported if I don’t.

It’s true that support for 5.3 SP6 is waning and that the opportunity to purchase extended support for even older systems is disappearing. But you are not alone, many Documentum customers choose not to upgrade regularly and instead have come to rely on the camaraderie and mutual support of the Documentum community, or contract with Documentum Partners like TSG to provide on demand system support.

I can easily switch my users from Webtop to CenterStage – it’s all Java right?

It used to be pre 6.5 that the Documentum web clients were all Java and WDK/DFC based. Now, with the introduction of CenterStage, Media WorkSpace, and MyDocumentum, EMC has mixed it up a bit. Webtop and Administrator are still WDK/DFC applications, but CenterStage is built on ExtJS/DFS with a couple of Adobe Flex modules, and Media WorkSpace is entirely built on Adobe Flex but with a custom services layer built around the DFS. MyDocumentum is still in development but promises native Windows communication with the Windows Desktop.

And what about .NET? The developer information describes that the .NET PIA from 5.3 still works in 6.x environments but contains no new functionality. If your .NET application needs to interact using something not in the PIA, you’ll need to switch over to use DFS.

On an additional note, at EMC World 2009 a Documentum presenter recommend NOT mixing DFC and DFS in an application. Apparently, it can lead to some complicated session management issues.

TSG offers OpenContent as an open source no-cost alternative to building a web application so it can interact with both Documentum 5.x and 6.x systems using the stable DFC layer. OpenContent is available in .NET and Java (SOAP and REST) and includes a broader range of functionality than the current DFS.

Please see our post on upgrading WDK applications and Webtop customizations for additional upgrade information.